Bug 25867 - Label holdingbranch as Current library rather than Current location
Summary: Label holdingbranch as Current library rather than Current location
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-24 14:18 UTC by Andrew Fuerste-Henry
Modified: 2020-09-04 15:27 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 25867: Label "Current locaton" as "Current library" and "Permanent location" as "Home library" (53.16 KB, patch)
2020-07-18 01:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25867: Label "Current locaton" as "Current library" and "Permanent location" as "Home library" (53.23 KB, patch)
2020-07-27 15:24 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25867: Label "Current location" as "Current library" and "Permanent location" as "Home library" (53.23 KB, patch)
2020-08-14 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25867: Database update for changing existing frameworks (2.00 KB, patch)
2020-08-14 13:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25867: Label "Current location" as "Current library" and "Permanent location" as "Home library" (53.29 KB, patch)
2020-08-14 13:58 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25867: Database update for changing existing frameworks (2.06 KB, patch)
2020-08-14 13:58 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-06-24 14:18:18 UTC
We're introducing unnecessary confusion by labeling the column for holdingbranch "Current location" in the holdings information on the intranet and OPAC. Folks who don't spend much time in the database confuse "Current location" and "shelving location." Could we label it "Current library" instead?
Comment 1 Katrin Fischer 2020-07-18 01:43:53 UTC
Hi Andrew, I fully agree here and it causes confusion in translations as well. Let's call libraries libraries and locations locatons :)
Comment 2 Katrin Fischer 2020-07-18 01:50:38 UTC
Created attachment 107051 [details] [review]
Bug 25867: Label "Current locaton" as "Current library" and "Permanent location" as "Home library"

There is some confusion between the different locations and
libraries appearing in the GUI.

holdingbranch is sometimes labeled as current location
homebranch is sometimes labeled as permanent location

The patch fixes these occurences in various files:
- Item search form, results and export options
- MARC frameworks for en, fr-Fr, nb-NO, and pl-PL
- Holds awaiting pickup report
- Item display on order receive screen (create items on receive)
- OPAC system preference: OPACResultsLibrary
- Staff and OPAC detail pages
- Lost items report
- Rotating collections
Comment 3 ByWater Sandboxes 2020-07-27 15:24:07 UTC
Created attachment 107436 [details] [review]
Bug 25867: Label "Current locaton" as "Current library" and "Permanent location" as "Home library"

There is some confusion between the different locations and
libraries appearing in the GUI.

holdingbranch is sometimes labeled as current location
homebranch is sometimes labeled as permanent location

The patch fixes these occurences in various files:
- Item search form, results and export options
- MARC frameworks for en, fr-Fr, nb-NO, and pl-PL
- Holds awaiting pickup report
- Item display on order receive screen (create items on receive)
- OPAC system preference: OPACResultsLibrary
- Staff and OPAC detail pages
- Lost items report
- Rotating collections

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Nick Clemens 2020-07-31 17:17:13 UTC
Would it be worth a database update to correct frameworks for existing installations?
Comment 5 Katrin Fischer 2020-08-14 13:02:43 UTC
I didn't do it as the other term might have been used in documentation and such. It's not an issue to add one, I will do that later.
Comment 6 Katrin Fischer 2020-08-14 13:20:42 UTC
Created attachment 108276 [details] [review]
Bug 25867: Label "Current location" as "Current library" and "Permanent location" as "Home library"

There is some confusion between the different locations and
libraries appearing in the GUI.

holdingbranch is sometimes labeled as current location
homebranch is sometimes labeled as permanent location

The patch fixes these occurences in various files:
- Item search form, results and export options
- MARC frameworks for en, fr-Fr, nb-NO, and pl-PL
- Holds awaiting pickup report
- Item display on order receive screen (create items on receive)
- OPAC system preference: OPACResultsLibrary
- Staff and OPAC detail pages
- Lost items report
- Rotating collections

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 Katrin Fischer 2020-08-14 13:20:48 UTC
Created attachment 108277 [details] [review]
Bug 25867: Database update for changing existing frameworks

This updates the descriptions for 952$a und $b in all existing
frameworks, if the English description hasn't been changed since
installing Koha.

To test:
- Look at your item edit form or on the MARC tab
  for the descriptions shown for $a and $b for any framework
- Note the descriptons say '... location'
- Change one or more using the frameworks.
- Run the database update
- Verify only the unchanged ones have been updated
Comment 8 Nick Clemens 2020-08-14 13:58:19 UTC
Created attachment 108280 [details] [review]
Bug 25867: Label "Current location" as "Current library" and "Permanent location" as "Home library"

There is some confusion between the different locations and
libraries appearing in the GUI.

holdingbranch is sometimes labeled as current location
homebranch is sometimes labeled as permanent location

The patch fixes these occurences in various files:
- Item search form, results and export options
- MARC frameworks for en, fr-Fr, nb-NO, and pl-PL
- Holds awaiting pickup report
- Item display on order receive screen (create items on receive)
- OPAC system preference: OPACResultsLibrary
- Staff and OPAC detail pages
- Lost items report
- Rotating collections

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Nick Clemens 2020-08-14 13:58:24 UTC
Created attachment 108281 [details] [review]
Bug 25867: Database update for changing existing frameworks

This updates the descriptions for 952$a und $b in all existing
frameworks, if the English description hasn't been changed since
installing Koha.

To test:
- Look at your item edit form or on the MARC tab
  for the descriptions shown for $a and $b for any framework
- Note the descriptons say '... location'
- Change one or more using the frameworks.
- Run the database update
- Verify only the unchanged ones have been updated

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Jonathan Druart 2020-08-18 15:46:59 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-09-04 15:27:10 UTC
enhancement will not be backported to 20.05.x
Comment 12 Lucas Gass 2020-09-04 15:27:36 UTC
enhancement will not be backported to 20.05.x